Bug 2237329 - License tag has 'GPL-2.0-only' but probably should be 'GPL-2.0-or-later'
Summary: License tag has 'GPL-2.0-only' but probably should be 'GPL-2.0-or-later'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lastpass-cli
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-04 21:13 UTC by Richard Fontana
Modified: 2023-09-30 05:57 UTC (History)
1 user (show)

Fixed In Version: lastpass-cli-1.3.6-2.fc39 lastpass-cli-1.3.6-2.el7 lastpass-cli-1.3.6-2.fc38 lastpass-cli-1.3.6-2.fc37 lastpass-cli-1.3.6-2.el8 lastpass-cli-1.3.6-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-30 00:17:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Richard Fontana 2023-09-04 21:13:27 UTC
https://src.fedoraproject.org/rpms/lastpass-cli/blob/rawhide/f/lastpass-cli.spec#_6 says:
`License:        GPL-2.0-only WITH cryptsetup-OpenSSL-exception AND OpenSSL`

However, a quick review of the lastpass-cli source code suggests that the GPLv2 license grants are "or later", not "only".

Reproducible: Always

See also: https://gitlab.com/fedora/legal/fedora-license-data/-/merge_requests/345

Comment 1 Robert-André Mauchin 🐧 2023-09-21 17:46:25 UTC
Onto it. Building EPEL7 to Rawhide. Thanks for the report.

Comment 2 Fedora Update System 2023-09-21 17:50:43 UTC
FEDORA-2023-0c73d347d6 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0c73d347d6

Comment 3 Fedora Update System 2023-09-21 17:51:33 UTC
FEDORA-2023-eade0db420 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-eade0db420

Comment 4 Fedora Update System 2023-09-21 17:52:10 UTC
FEDORA-2023-a78663c8bc has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a78663c8bc

Comment 5 Fedora Update System 2023-09-21 17:52:23 UTC
FEDORA-EPEL-2023-bc69f754f6 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-bc69f754f6

Comment 6 Fedora Update System 2023-09-21 17:53:44 UTC
FEDORA-EPEL-2023-c026099f94 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-c026099f94

Comment 7 Fedora Update System 2023-09-21 17:54:32 UTC
FEDORA-EPEL-2023-8928628cfd has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8928628cfd

Comment 8 Fedora Update System 2023-09-22 01:41:25 UTC
FEDORA-2023-0c73d347d6 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0c73d347d6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0c73d347d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-22 01:51:22 UTC
FEDORA-EPEL-2023-8928628cfd has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8928628cfd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-09-22 02:04:03 UTC
FEDORA-2023-a78663c8bc has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a78663c8bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a78663c8bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-09-22 02:28:55 UTC
FEDORA-EPEL-2023-c026099f94 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-c026099f94

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-09-22 02:30:19 UTC
FEDORA-2023-eade0db420 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-eade0db420`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-eade0db420

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-09-22 02:39:56 UTC
FEDORA-EPEL-2023-bc69f754f6 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-bc69f754f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-09-30 00:17:02 UTC
FEDORA-2023-0c73d347d6 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-09-30 01:51:31 UTC
FEDORA-EPEL-2023-8928628cfd has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-09-30 03:34:35 UTC
FEDORA-2023-eade0db420 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-09-30 03:34:49 UTC
FEDORA-2023-a78663c8bc has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-09-30 05:57:05 UTC
FEDORA-EPEL-2023-c026099f94 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-09-30 05:57:13 UTC
FEDORA-EPEL-2023-bc69f754f6 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.